# Welcome to MultiDEFusion


[![image](https://img.shields.io/pypi/v/multidefusion.svg)](https://pypi.python.org/pypi/multidefusion)
![Python](https://img.shields.io/badge/Python-3776AB?style=for-the-badge&logo=python&logoColor=white)
![Plotly](https://img.shields.io/badge/Plotly-%233F4F75.svg?style=for-the-badge&logo=plotly&logoColor=white)
![NumPy](https://img.shields.io/badge/NumPy-013243?style=for-the-badge&logo=numpy&logoColor=white)
![Pandas](https://img.shields.io/badge/Pandas-150458?style=for-the-badge&logo=pandas&logoColor=white)
![HTML5](https://img.shields.io/badge/html5-%23E34F26.svg?style=for-the-badge&logo=html5&logoColor=white)
![Git](https://img.shields.io/badge/Git-F05032?style=for-the-badge&logo=git&logoColor=white)
![licence](https://img.shields.io/badge/license-MIT-blue)

**MultiDEFusion** is an open-source library that enables the **Fusion** of **Multi** geodetic techniques ensuring long-term observations of ground **DEF**ormation. The software provides integration of permanent GNSS data and radar InSAR observations, considering a particular computational method such as DInSAR, SBAS and PSI.

The MultiDEFusion library expands on the approach to integrating geodetic observations outlined in the article published by [Tondaś et al., 2023](https://doi.org/10.1007/s00190-023-01789-z). The software documentation can be found at <https://damiantondas.github.io/multidefusion> (Free software: MIT license).

If you find the MultiDEFusion program useful, please cite it in your work as: *Tondaś D., Ilieva M., van Leijen F., van der Marel H., Rohm W. Kalman filter-based integration of GNSS and InSAR observations for local nonlinear strong deformations. Journal of Geodesy, 97, 109 (2023). DOI: [10.1007/s00190-023-01789-z](https://doi.org/10.1007/s00190-023-01789-z)*
